net.sf.jlinkgrammar

## Class Connector

- java.lang.Object
- - net.sf.jlinkgrammar.Connector

-     public class Connector
      extends java.lang.Object

  TODO add javadoc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `label`
    `(package private) int` | `length_limit`
    `(package private) boolean` | `multi`
    `(package private) Connector` | `next`
    `(package private) int` | `priority`
    `(package private) java.lang.String` | `string`
    `(package private) int` | `word`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Connector()`
    `Connector(Connector c)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) int` | `and_connector_hash(int i)`
    `(package private) boolean` | `connector_types_equal(Connector c2)`
    `(package private) boolean` | `connectors_equal_AND(Connector c2)`
    `(package private) boolean` | `connectors_equal_prune(Connector c2)`
    `(package private) static Connector` | `copy_connectors(Connector c)`
    `(package private) Connector` | `init_connector()`
    `(package private) boolean` | `match_in_connector_set(Sentence sent, ConnectorSet conset, int d)`
    `(package private) static boolean` | `match(Sentence sent, Connector a, Connector b, int aw, int bw)`
    `(package private) static boolean` | `prune_match(Sentence sent, Connector a, Connector b, int aw, int bw)`
    `(package private) static Connector` | `reverse(Connector e)`
    `(package private) static boolean` | `x_match(Sentence sent, Connector a, Connector b)`
    `(package private) static boolean` | `x_prune_match(Sentence sent, Connector a, Connector b)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### label

          int label

    - #### word

          int word

    - #### length_limit

          int length_limit

    - #### priority

          int priority

    - #### multi

          boolean multi

    - #### next

          Connector next

    - #### string

          java.lang.String string

  - ### Constructor Detail

    - #### Connector

          Connector(Connector c)

    - #### Connector

          Connector()

  - ### Method Detail

    - #### init_connector

          Connector init_connector()

    - #### reverse

          static Connector reverse(Connector e)

    - #### connectors_equal_prune

          boolean connectors_equal_prune(Connector c2)

    - #### connector_types_equal

          boolean connector_types_equal(Connector c2)

    - #### connectors_equal_AND

          boolean connectors_equal_AND(Connector c2)

    - #### match_in_connector_set

          boolean match_in_connector_set(Sentence sent,
                                       ConnectorSet conset,
                                       int d)

    - #### and_connector_hash

          int and_connector_hash(int i)

    - #### x_match

          static boolean x_match(Sentence sent,
                        Connector a,
                        Connector b)

    - #### match

          static boolean match(Sentence sent,
                      Connector a,
                      Connector b,
                      int aw,
                      int bw)

    - #### x_prune_match

          static boolean x_prune_match(Sentence sent,
                              Connector a,
                              Connector b)

    - #### prune_match

          static boolean prune_match(Sentence sent,
                            Connector a,
                            Connector b,
                            int aw,
                            int bw)

    - #### copy_connectors

          static Connector copy_connectors(Connector c)